Loading...
Searching...
No Matches
pcl::octree::OctreeLeafNode< ContainerT > Class Template Reference

Abstract octree leaf class More...

`#include <pcl/octree/octree_nodes.h>`

Inheritance diagram for pcl::octree::OctreeLeafNode< ContainerT >:

## Public Member Functions

| OctreeLeafNode ()
| Empty constructor.
| OctreeLeafNode (const OctreeLeafNode &source)
| Copy constructor.
| ~OctreeLeafNode () override=default
| Empty deconstructor.
OctreeLeafNode< ContainerT > * | deepCopy () const override
| Method to perform a deep copy of the octree.
node_type_t | getNodeType () const override
| Get the type of octree node.
const ContainerT * | operator-> () const
| Get const pointer to container.
ContainerT * | operator-> ()
| Get pointer to container.
const ContainerT & | operator* () const
| Get const reference to container.
ContainerT & | operator* ()
| Get reference to container.
const ContainerT & | getContainer () const
| Get const reference to container.
ContainerT & | getContainer ()
| Get reference to container.
const ContainerT * | getContainerPtr () const
| Get const pointer to container.
ContainerT * | getContainerPtr ()
| Get pointer to container.
Public Member Functions inherited from pcl::octree::OctreeNode
| OctreeNode ()=default
virtual | ~OctreeNode ()=default

## Protected Attributes

ContainerT | container_

## Detailed Description

template<typename ContainerT>
class pcl::octree::OctreeLeafNode< ContainerT >

Abstract octree leaf class

Note
  Octree leaves may collect data of type ContainerT

Author
  Julius Kammerl (juliu.nosp@m.s@ka.nosp@m.mmerl.nosp@m..de)

Definition at line 81 of file octree_nodes.h.

## Constructor & Destructor Documentation

## OctreeLeafNode() [1/2]

template<typename ContainerT >

pcl::octree::OctreeLeafNode< ContainerT >::OctreeLeafNode | ( |  | ) |

inline

Empty constructor.

Definition at line 84 of file octree_nodes.h.

## OctreeLeafNode() [2/2]

template<typename ContainerT >

pcl::octree::OctreeLeafNode< ContainerT >::OctreeLeafNode | ( | const OctreeLeafNode< ContainerT > & | source | ) |

inline

Copy constructor.

Definition at line 87 of file octree_nodes.h.

## ~OctreeLeafNode()

template<typename ContainerT >

pcl::octree::OctreeLeafNode< ContainerT >::~OctreeLeafNode | ( |  | ) |

override default

Empty deconstructor.

## Member Function Documentation

## deepCopy()

template<typename ContainerT >

OctreeLeafNode< ContainerT > * pcl::octree::OctreeLeafNode< ContainerT >::deepCopy | ( |  | ) | const

inline override virtual

Method to perform a deep copy of the octree.

Implements pcl::octree::OctreeNode.

Definition at line 97 of file octree_nodes.h.

## getContainer() [1/2]

template<typename ContainerT >

ContainerT & pcl::octree::OctreeLeafNode< ContainerT >::getContainer | ( |  | ) |

inline

Get reference to container.

Definition at line 146 of file octree_nodes.h.

References pcl::octree::OctreeLeafNode< ContainerT >::container_.

## getContainer() [2/2]

template<typename ContainerT >

const ContainerT & pcl::octree::OctreeLeafNode< ContainerT >::getContainer | ( |  | ) | const

inline

Get const reference to container.

Definition at line 139 of file octree_nodes.h.

References pcl::octree::OctreeLeafNode< ContainerT >::container_.

## getContainerPtr() [1/2]

template<typename ContainerT >

ContainerT * pcl::octree::OctreeLeafNode< ContainerT >::getContainerPtr | ( |  | ) |

inline

Get pointer to container.

Definition at line 160 of file octree_nodes.h.

References pcl::octree::OctreeLeafNode< ContainerT >::container_.

## getContainerPtr() [2/2]

template<typename ContainerT >

const ContainerT * pcl::octree::OctreeLeafNode< ContainerT >::getContainerPtr | ( |  | ) | const

inline

Get const pointer to container.

Definition at line 153 of file octree_nodes.h.

References pcl::octree::OctreeLeafNode< ContainerT >::container_.

Referenced by pcl::octree::Octree2BufBase< LeafContainerT, BranchContainerT >::createLeaf(), and pcl::octree::OctreeBase< LeafContainerT, BranchContainerT >::createLeaf().

## getNodeType()

template<typename ContainerT >

node_type_t pcl::octree::OctreeLeafNode< ContainerT >::getNodeType | ( |  | ) | const

inline override virtual

Get the type of octree node.

Returns LEAVE_NODE type

Implements pcl::octree::OctreeNode.

Definition at line 104 of file octree_nodes.h.

References pcl::octree::LEAF_NODE.

## operator*() [1/2]

template<typename ContainerT >

ContainerT & pcl::octree::OctreeLeafNode< ContainerT >::operator* | ( |  | ) |

inline

Get reference to container.

Definition at line 132 of file octree_nodes.h.

References pcl::octree::OctreeLeafNode< ContainerT >::container_.

## operator*() [2/2]

template<typename ContainerT >

const ContainerT & pcl::octree::OctreeLeafNode< ContainerT >::operator* | ( |  | ) | const

inline

Get const reference to container.

Definition at line 125 of file octree_nodes.h.

References pcl::octree::OctreeLeafNode< ContainerT >::container_.

## operator->() [1/2]

template<typename ContainerT >

ContainerT * pcl::octree::OctreeLeafNode< ContainerT >::operator-> | ( |  | ) |

inline

Get pointer to container.

Definition at line 118 of file octree_nodes.h.

References pcl::octree::OctreeLeafNode< ContainerT >::container_.

## operator->() [2/2]

template<typename ContainerT >

const ContainerT * pcl::octree::OctreeLeafNode< ContainerT >::operator-> | ( |  | ) | const

inline

Get const pointer to container.

Definition at line 111 of file octree_nodes.h.

References pcl::octree::OctreeLeafNode< ContainerT >::container_.

## Member Data Documentation

## container_

template<typename ContainerT >

ContainerT pcl::octree::OctreeLeafNode< ContainerT >::container_

protected

Definition at line 166 of file octree_nodes.h.

Referenced by pcl::octree::OctreeLeafNode< ContainerT >::getContainer(), pcl::octree::OctreeLeafNode< ContainerT >::getContainer(), pcl::octree::OctreeLeafNode< ContainerT >::getContainerPtr(), pcl::octree::OctreeLeafNode< ContainerT >::getContainerPtr(), pcl::octree::OctreeLeafNode< ContainerT >::operator*(), pcl::octree::OctreeLeafNode< ContainerT >::operator*(), pcl::octree::OctreeLeafNode< ContainerT >::operator->(), and pcl::octree::OctreeLeafNode< ContainerT >::operator->().

The documentation for this class was generated from the following file:

- pcl/octree/octree_nodes.h